<?php
if (!defined('MODULE_FILE')) {
	Header("Location: ../../index.php");
	exit;
}
$module_name = basename(dirname(__FILE__));
get_lang($module_name);
require_once("config/config_files.php");
require_once("function/comments.php");

function menu($logo) {
	global $module_name, $conff;
	$navi = "[ <a href=\"index.php?name=$module_name\" title=\""._HOME."\">"._HOME."</a>";
	$navi .= ($conff['rate']) ? " | <a href=\"index.php?name=$module_name&best=1\" title=\""._BEST."\">"._BEST."</a> | <a href=\"index.php?name=$module_name&hits=1\" title=\""._POP."\">"._POP."</a>" : "";
	$navi .= " | <a href=\"index.php?name=$module_name&op=liste\" title=\""._LIST."\">"._LIST."</a>";
	if ((is_user($user) && $conff['addfiles'] == 1) || (!is_user($user) && $conff['addquest'] == 1)) $navi .= " | <a href=\"index.php?name=$module_name&op=add\" title=\""._ADD."\">"._ADD."</a>";
	$navi .= " ]";
	search($logo, $module_name, $navi);
}

function files() {
	global $prefix, $db, $admin, $module_name, $admin_file, $pagetitle, $conf, $conff, $home;
	$filenum = intval($conff['num']);
	$fbest = (intval($_GET['best'])) ? 1 : 0;
	$fhits = (intval($_GET['hits'])) ? 1 : 0;
	$fcat = (intval($_GET['cat'])) ? $_GET['cat'] : 0;
	if ($fbest && $conff['rate']) {
		$caton = 0;
		$field = "best=1&";
		$order = "WHERE date <= now() AND status!='0' ORDER BY totalvotes DESC";
		$files_logo = ""._BEST."";
		$pagetitle = "".$conf['defis']." "._FILES." ".$conf['defis']." $files_logo";
	} elseif ($fhits && $conff['rate']) {
		$caton = 0;
		$field = "hits=1&";
		$order = "WHERE date <= now() AND status!='0' ORDER BY hits DESC";
		$files_logo = ""._POP."";
		$pagetitle = "".$conf['defis']." "._FILES." ".$conf['defis']." $files_logo";
	} elseif ($fcat) {
		$caton = 1;
		$field = "cat=$fcat&";
		list($cat_title, $cat_description) = $db->sql_fetchrow($db->sql_query("SELECT title, description FROM ".$prefix."_categories WHERE id='$fcat'"));
		$order = "WHERE cid='$fcat' AND date <= now() AND status!='0' ORDER BY date DESC";
		$pagetitle = "".$conf['defis']." "._FILES." ".$conf['defis']." $cat_title";
	} else {
		$caton = 1;
		$field = "";
		$order = "WHERE date <= now() AND status!='0' ORDER BY date DESC";
		$files_logo = ""._FILES."";
		$pagetitle = "".$conf['defis']." $files_logo";
	}
	head();
	if (!$home) {
		if ($fcat) {
			menu($cat_title);
		} else {
			menu($files_logo);
		}
		if ($caton == 1) categories($module_name, $conff['tabcol'], $conff['subkat'], $conff['catdesc'], $fcat);
	}
	$num = isset($_GET['num']) ? intval($_GET['num']) : "1";
	$offset = ($num-1) * $filenum;
	$offset = intval($offset);
	$result = $db->sql_query("SELECT f.lid, f.cid, f.title, f.description, f.img, UNIX_TIMESTAMP(f.date) as formatted, f.name, f.votes, f.totalvotes, f.totalcomments, f.hits, c.id, c.title, c.description, c.img FROM ".$prefix."_files AS f LEFT JOIN ".$prefix."_categories AS c ON (f.cid=c.id) ".$order." LIMIT $offset, $filenum");
	if ($db->sql_numrows($result) > 0) {
		echo "<script type=\"text/javascript\" src=\"ajax/Ajax.js\"></script>";
		while (list($id, $fcid, $f_title, $description, $f_img, $formatted, $aid, $votes, $totalvotes, $comment, $hits, $cid, $ctitle, $cdescription, $cimg) = $db->sql_fetchrow($result)) {
			$fp_data = date("d.m.Y", $formatted);
			if ($f_img) {
				if ($conff['igdactive']) {
					$img = create_img($conff['idirectory'], $f_img, $conff['igdwidth']);
				} elseif (file_exists("".$conff['idirectory']."/".$f_img."")) {
					$img = "".$conff['idirectory']."/".$f_img."";
				} else {
					$img = $f_img;
				}
				$zimg = "<script language=\"JavaScript\" type=\"text/javascript\" src=\"ajax/ShowPic.js\"></script><img border=\"0\" src=\"images/blocks/Album.gif\" style=\"cursor: pointer;\" OnMouseOver=\"PicDivShow('".$img."');\" OnMouseOut=\"PicDivHide();\" alt=\"".$f_title."\">";
			} else {
				$zimg = "<img border=\"0\" src=\"images/blocks/Files.gif\" alt=\"".$f_title."\">";
			}
			$title = "<table border=\"0\" cellpadding=\"1\" cellspacing=\"0\" align=\"left\"><tr><td>$zimg</td><td><a href=index.php?name=$module_name&op=view&id=$id title=\"$f_title\"><b>$f_title</b></a></td><td>".new_graphic($formatted)."</td></tr></table>";
			$link = "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td align=\"left\"><a href=\"index.php?name=$module_name&op=view&id=$id\" title=\"$f_title\"><b>"._READMORE."</b></a> | "._POSTEDBY.": ".user_info($aid, 1)."";
			if ($conff['date']) $link .= " | "._DATE.": ".$fp_data."";
			if ($conff['read']) $link .= " | "._FILEHITS.": ".$hits."";
			if ($conff['comm']) {
				if ($comment == 0) {
					$link .= " | <a href=\"index.php?name=$module_name&op=view&id=$id#$id\" title=\"$f_title\">"._COMMENTS."</a>";
				} elseif ($comment == 1) {
					$link .= " | <a href=\"index.php?name=$module_name&op=view&id=$id#$id\" title=\"$f_title\">"._COMMENT.": $comment</a>";
				} elseif ($comment > 1) {
					$link .= " | <a href=\"index.php?name=$module_name&op=view&id=$id#$id\" title=\"$f_title\">"._COMMENTS.": $comment</a>";
				}
			}
			if ($conff['pool']) $link .= (!$conff['votein']) ? "</td><td><script type=\"text/javascript\">ajax('ajax.php?go=1&op=Rating&mod=$module_name&id=$id', 'rate".$id."');</script><div class=\"rate\" id=\"rate".$id."\"></div></td>" : "</td><td><div class=\"rate\">".vote_graphic($votes, $totalvotes)."</div></td>";
			$link .= "<td align=\"right\"><a href=\"index.php?name=$module_name&op=printe&id=$id\"><img src=\"images/blocks/Print.gif\" border=\"0\" alt=\""._PRINTER."\" title=\""._PRINTER."\" align=\"center\"></a>";
			if (is_admin($admin)) $link .= " <a href=\"".$admin_file.".php?op=add_files&id=$id\" title=\""._EDIT."\"><img src=\"images/edit.gif\" border=\"0\" align=\"center\"></a>";
			$link .= "</td></tr></table>";
			$cdescription = ($cdescription) ? $cdescription : $ctitle;
			$cimg = ($cimg) ? "<a href=\"index.php?name=$module_name&cat=$cid\"><img src=\"images/categories/".$cimg."\" border=\"0\" alt=\"$cdescription\" title=\"$cdescription\" align=\"right\" hspace=\"10\" vspace=\"10\"></a>" : "";
			basic($id, $fp_data, $title, $hits, cutstr(bb_decode($description), 250), $link, $cid, $cimg, $ctitle);
		}
		list($numstories) = $db->sql_fetchrow($db->sql_query("SELECT Count(lid) FROM ".$prefix."_files ".$order.""));
		$numpages = ceil($numstories / $filenum);
		num_page($module_name, $numstories, $numpages, $filenum, "".$field."");
		if ($filenum >= 10) get_page($module_name);
	}
	foot();
}

function liste() {
	global $db, $prefix, $module_name, $pagetitle, $conf, $conff;
	$listnum = intval($conff['listnum']);
	$let = (!preg_match("/[^a-zA-Z--0-9]/", $_GET['let'])) ? $_GET['let'] : "";
	if ($let) {
		$field = "op=liste&let=$let&";
		$pagetitle = "".$conf['defis']." "._FILES." ".$conf['defis']." "._LIST." ".$conf['defis']." $let";
		$order = "WHERE UPPER(f.title) LIKE '".$let."%' AND date <= now() AND status!='0'";
	} else {
		$field = "op=liste&";
		$pagetitle = "".$conf['defis']." "._FILES." ".$conf['defis']." "._LIST."";
		$order = "WHERE date <= now() AND status!='0'";
	}
	$num = isset($_GET['num']) ? intval($_GET['num']) : "1";
	$offset = ($num-1) * $listnum;
	$offset = intval($offset);
	$result = $db->sql_query("SELECT f.lid, f.cid, f.title, f.date, f.name, c.id, c.title FROM ".$prefix."_files AS f LEFT JOIN ".$prefix."_categories AS c ON (f.cid=c.id) ".$order." ORDER BY date DESC LIMIT $offset, $listnum");
	head();
	menu(""._LIST."");
	if ($db->sql_numrows($result) > 0) {
		OpenTable();
		if ($conff['letter']) {
			echo "<h4><a href=\"index.php?name=".$module_name."&op=liste\">"._ALL."</a> ";
			foreach(range(0, 9) as $number) echo " | <a href='index.php?name=$module_name&op=liste&let=$number'>$number</a>";
			if (substr(""._LOCALE."", 0, 2) == "ru") {
				echo"</h4><h4><a href=\"index.php?name=".$module_name."&op=liste\">"._ALL."</a> ";
				foreach(range('', '') as $letter) echo " | <a href='index.php?name=$module_name&op=liste&let=$letter'>$letter</a>";
			}
			echo"</h4><h4><a href=\"index.php?name=".$module_name."&op=liste\">"._ALL."</a> ";
			foreach(range('A', 'Z') as $lettereng) echo " | <a href=\"index.php?name=$module_name&op=liste&let=$lettereng\">$lettereng</a>";
			echo "</h4>";
		}
		echo "<script language=\"JavaScript\" type=\"text/javascript\" src=\"ajax/SortTable.js\"></script><table width=\"100%\" border=\"0\" cellpadding=\"2\" cellspacing=\"1\" class=\"sort\" id=\"sort_id\"><tr>"
		."<th>"._ID."</th><th>"._FILES."</th><th>"._CATEGORY."</th><th>"._DATE."</th><th>"._POSTEDBY."</th></tr>";
		while (list($id, $catid, $stitle, $time, $aid, $cid, $ctitle) = $db->sql_fetchrow($result)) {
			$ctitle = (!$ctitle) ? ""._NO."" : "<a href=\"index.php?name=$module_name&cat=$cid\" title=\"".$ctitle."\">".cutstr($ctitle, 10)."</a>";
			echo "<tr class=\"bgcolor1\">"
			."<td align=\"center\">".$id."</td>"
			."<td><a href=\"index.php?name=$module_name&op=view&id=$id\" title=\"".$stitle."\">".cutstr($stitle, 50)."</a></td>"
			."<td align=\"center\">".$ctitle."</td>"
			."<td align=\"center\">".formatTimestamp($time)."</td>"
			."<td align=\"center\">".user_info($aid, 1)."</td></tr>";
		}
		echo "</table>";
		CloseTable();
		$order2 = ($let) ? "WHERE UPPER(title) LIKE '".$let."%' AND date <= now() AND status!='0'" : "WHERE date <= now() AND status!='0'";
		list($numstories) = $db->sql_fetchrow($db->sql_query("SELECT Count(lid) FROM ".$prefix."_files ".$order2.""));
		$numpages = ceil($numstories / $listnum);
		num_page($module_name, $numstories, $numpages, $listnum, "".$field."");
		get_page($module_name);
	} else {
		warning(""._NO_INFO."", "", "", 2);
	}
	foot();
}

function printe() {
	global $prefix, $db, $pagetitle, $module_name, $conf;
	$id = intval($_GET['id']);
	$result = $db->sql_query("SELECT f.cid, f.title, f.url, f.description, f.img, f.date, f.filesize, f.version, f.name, f.email, f.homepage, f.votes, f.totalvotes, f.totalcomments, f.hits, c.id, c.title, c.description, c.img FROM ".$prefix."_files AS f LEFT JOIN ".$prefix."_categories AS c ON (f.cid=c.id) WHERE lid='$id' AND date <= now() AND status!='0'");
	if ($db->sql_numrows($result) == 1) {
		list($cid, $title, $url, $description, $f_img, $date, $f_size, $f_version, $aid, $a_email, $a_homepage, $votes, $totalvotes, $totalcomments, $hits, $ccid, $ctitle, $cdescription, $cimg) = $db->sql_fetchrow($result);
		$ThemeSel = get_theme();
		if (file_exists("templates/$ThemeSel/index.php")) {
			require_once("templates/$ThemeSel/index.php");
		} else {
			require_once("function/template.php");
		}
		$conf['defis'] = urldecode($conf['defis']);
		$ftitle = (intval($ccid)) ? "$title ".$conf['defis']." $ctitle ".$conf['defis']." "._FILES." ".$conf['defis']." ".$conf['sitename']."" : "$title ".$conf['defis']." "._FILES." ".$conf['defis']." ".$conf['sitename']."";
		$ctitle = (!$ctitle) ? ""._NO."" : "<a href=\"index.php?name=$module_name&cat=$ccid\" title=\"".$ctitle."\">".cutstr($ctitle, 10)."</a>";
		$ptitle = "".formatTimestamp($date)." - ".$title."";
		$text .= "<table border=\"0\" width=\"100%\" cellpadding=\"3\" cellspacing=\"0\"><tr><td>"._POSTEDBY.": ".user_info($aid, 1)."</td><td>"._CATEGORY.": ".$ctitle."</td></tr>"
		."<tr><td>"._FILESIZE.": ".files_size($f_size)."</td><td>"._DATE.": ".formatTimestamp($date)."</td></tr>"
		."<tr><td>"._FILEVERS.": ".$f_version."</td><td>"._FILEHITS.": ".$hits."</td></tr></table>"
		."<hr><table border=\"0\" width=\"100%\" cellpadding=\"3\" cellspacing=\"0\"><tr><td>".bb_decode($description)."</td></tr></table>";
		$url = ""._COMESFROM.": <a href=\"".$conf['homeurl']."\" title=\"".$conf['sitename']."\">".$conf['homeurl']."</a><br />"._THEURL.": <a href=\"".$conf['homeurl']."/index.php?name=$module_name&op=view&id=$id\" title=\"".$title."\">".$conf['homeurl']."/index.php?name=$module_name&op=view&id=$id</a>";
		prints($ftitle, $ptitle, $text, $url);
	} else {
		Header("Location: index.php?name=$module_name");
	}
}

function view() {
	global $prefix, $db, $admin, $module_name, $hometext, $pagetitle, $admin_file, $conf, $conff, $datetime;
	$id = intval($_GET['id']);
	$word = ($_GET['word']) ? text_filter($_GET['word']) : "";
	$result = $db->sql_query("SELECT f.cid, f.title, f.url, f.description, f.img, f.date, f.filesize, f.version, f.name, f.email, f.homepage, f.votes, f.totalvotes, f.totalcomments, f.hits, c.id, c.title, c.description, c.img FROM ".$prefix."_files AS f LEFT JOIN ".$prefix."_categories AS c ON (f.cid=c.id) WHERE lid='$id' AND date <= now() AND status!='0'");
	if ($db->sql_numrows($result) == 1) {
		list($cid, $title, $url, $description, $f_img, $date, $f_size, $f_version, $aid, $a_email, $a_homepage, $votes, $totalvotes, $totalcomments, $hits, $ccid, $ctitle, $cdescription, $cimg) = $db->sql_fetchrow($result);
		$pagetitle = (intval($cid)) ? "".$conf['defis']." "._FILES." ".$conf['defis']." $ctitle ".$conf['defis']." $title" : "".$conf['defis']." "._FILES." ".$conf['defis']." $title";
		$hometext = $description;
		$ctitle = (!$ctitle) ? ""._NO."" : "<a href=\"index.php?name=$module_name&cat=$ccid\" title=\"".$ctitle."\">".cutstr($ctitle, 15)."</a>";
		head();
		menu(""._FILES."");
		echo "<script type=\"text/javascript\" src=\"ajax/Ajax.js\"></script>";
		$text .= "<table border=\"0\" width=\"100%\" cellpadding=\"3\" cellspacing=\"0\"><tr><td>"._POSTEDBY.": ".user_info($aid, 1)."</td><td>"._CATEGORY.": ".$ctitle."</td></tr>"
		."<tr><td>"._FILESIZE.": ".files_size($f_size)."</td><td>"._DATE.": ".formatTimestamp($date)."</td></tr>"
		."<tr><td>"._FILEVERS.": ".$f_version."</td><td>"._FILEHITS.": ".$hits."</td></tr></table>"
		."<hr>";
		if ($f_img != "") {
			$imgf = (file_exists("".$conff['idirectory']."/".$f_img."")) ? "".$conff['idirectory']."/".$f_img."" : $f_img;
			if ($conff['igdactive']) {
				$img = create_img($conff['idirectory'], $f_img, $conff['igdwidth']);
			} elseif (file_exists("".$conff['idirectory']."/".$f_img."")) {
				$img = "".$conff['idirectory']."/".$f_img."";
			} else {
				$img = $f_img;
			}
			$text .= "<script language=\"JavaScript\" type=\"text/javascript\" src=\"ajax/CaricaFoto.js\"></script>"
			."<script language=\"JavaScript\" type=\"text/javascript\" src=\"ajax/ShowPic.js\"></script>"
			."<a href=\"javascript:CaricaFoto('".$imgf."')\" OnMouseOver=\"PicDivShow('".$imgf."');\" OnMouseOut=\"PicDivHide();\" border=\"0\" title=\"".$title."\"><img width=\"".$conff['igdwidth']."\" border=\"0\" align=\"left\" src=\"".$img."\" alt=\"".$title."\"></a>";
		}
		$text .= "".search_color(bb_decode($description), $word)."";
		$link = "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr>";
		if ($conff['pool']) $link .= "<td><script type=\"text/javascript\">ajax('ajax.php?go=1&op=Rating&mod=$module_name&id=$id', 'rate".$id."');</script><div class=\"rate\" id=\"rate".$id."\"></div></td>";
		if (is_user($user) OR $conff['down'] == "1") {
			$onclick = (!$conff['stream']) ? "OnClick=\"window.open('$url')\"" : "";
			$link .= "<td align=\"center\"><form action=\"index.php?name=$module_name\" method=\"post\" style=\"display: inline\">"
			."<input type=\"hidden\" name=\"id\" value=\"$id\">"
			."<input type=\"hidden\" name=\"op\" value=\"geturl\">"
			."<input type=\"submit\" value=\""._DOWNLFILE."\" $onclick>"
			."</form></td>";
		}
		$link .= "<td align=\"right\"><a href=\"index.php?name=$module_name&op=printe&id=$id\" title=\""._PRINTER."\"><img src=\"images/blocks/Print.gif\" border=\"0\" align=\"center\"></a>";
		if ($conff['broc'] == 1) $link .= " <a href=\"index.php?name=$module_name&op=broken&id=$id\" title=\""._BROCFILE."\"><img src=\"images/warning.gif\" border=\"0\" align=\"center\"></a>";
		if (is_admin($admin) && $a_email) $link .= " <a href=\"mailto:".$a_email."\" title=\""._AUEMAIL."\"><img src=\"images/blocks/Contact.gif\" border=\"0\" align=\"center\"></a>";
		if ($a_homepage) $link .= " <a href=\"".$a_homepage."\" target=\"_blank\" title=\""._FAUURL."\"><img src=\"images/blocks/Home.gif\" border=\"0\" align=\"center\"></a>";
		if (is_admin($admin)) $link .= " <a href=\"".$admin_file.".php?op=add_files&id=$id\" title=\""._EDIT."\"><img src=\"images/edit.gif\" border=\"0\" align=\"center\"></a>";
		$link .= "</td></tr></table>";
		basic($id, $time, search_color($title, $word), $counter, $text, $link, $cid, "", $ctitle);
		if ($conff['comm']) {
			echo "<a name=\"$id\"></a>";
			ShowComments($id);
		}
		foot();
	} else {
		Header("Location: index.php?name=".$module_name."");
	}
}

function broken() {
	global $prefix, $db, $pagetitle, $conf, $conff, $module_name;
	$pagetitle = "".$conf['defis']." "._FILES." ".$conf['defis']." "._BROCFILE."";
	$id = intval($_GET['id']);
	if ($conff['broc'] == 1 && $id) {
		head();
		menu(""._BROCFILE."");
		$db->sql_query("UPDATE ".$prefix."_files SET status='2' WHERE lid='$id'");
		warning(""._BROCNOTE."", "?name=$module_name&op=view&id=$id", 5, 2);
		foot();
	} else {
		Header("Location: index.php?name=$module_name");
	}
}

function add() {
	global $db, $prefix, $module_name, $user, $pagetitle, $conf, $conff, $confu, $userinfo, $stop;
	$pagetitle = "".$conf['defis']." "._FILES." ".$conf['defis']." "._ADD."";
	if ($conff['addfiles'] == "1") {
		head();
		menu(""._ADD."");
		if (is_user($user)) {
			getusrinfo($user);
			$author = $userinfo['user_name'];
			$authormail = $userinfo['user_email'];
			$authorurl = $userinfo['user_website'];
		} elseif (!is_user($user) AND $conff['addquest'] == "1") {
			$author = ($_POST['author']) ? $_POST['author'] : $confu['anonym'];
			$authorurl = "http://";
		} else {
			Header("Location: index.php?name=$module_name");
			exit;
		}
		$info = ""._ADDFNOTE."";
		if ($conff['upload'] == 1) $info .= "".sprintf(""._ADDFNOTE2."", str_replace(",", ", ", $conff['typefile']), files_size($conff['max_size']))."";
		$info .= " "._ADDFNOTE3."";
		if ($stop) warning($stop, "", "", 1);
		warning($info, "", "", 2);
		OpenTable();
		echo "<form name=\"post\" enctype=\"multipart/form-data\" action=\"index.php?name=$module_name\" method=\"post\">"
		."<div class=\"left\">"._POSTEDBY.":</div><div class=\"center\"><input type=\"text\" name=\"author\" value=\"$author\" maxlength=\"100\" size=\"65\" style=\"width: 400px\"></div>"
		."<div class=\"left\">"._AUEMAIL.":</div><div class=\"center\"><input type=\"text\" name=\"authormail\" value=\"$authormail\" maxlength=\"100\" size=\"65\" style=\"width: 400px\"></div>"
		."<div class=\"left\">"._FTITLE.":</div><div class=\"center\"><input type=\"text\" name=\"title\" maxlength=\"100\" size=\"65\" style=\"width: 400px\"></div>"
		."<div class=\"left\">"._CATEGORY.":</div><div class=\"center\"><select name=\"cid\" style=\"width: 400px\">".getcat($module_name)."</select></div>"
		."<div class=\"left\">"._DESCRIPTION.":</div><div class=\"center\"><textarea id=\"area\" name=\"description\" cols=\"65\" rows=\"10\" style=\"width: 400px\" OnKeyPress=\"TransliteFeld(this, event)\" OnSelect=\"FieldName(this, this.name)\" OnClick=\"FieldName(this, this.name)\" OnKeyUp=\"FieldName(this, this.name)\"></textarea>".get_code("area")."</div>"
		."<div class=\"left\">"._FAUURL.":</div><div class=\"center\"><input type=\"text\" name=\"authorurl\" value=\"$authorurl\" maxlength=\"100\" size=\"65\" style=\"width: 400px\"></div>";
		if ($conff['upload'] == 1) {
			echo "<div class=\"left\">"._FILE_USER.":</div><div class=\"center\"><input name=\"userfile\" type=\"file\" size=\"65\" style=\"width: 400px\"></div>"
			."<div class=\"left\">"._FILE_SITE.":</div><div class=\"center\"><input type=\"text\" name=\"sitefile\" value=\"\" size=\"65\" style=\"width: 400px\"></div>";
		}
		echo "<div class=\"left\">"._FILELINK.":</div><div class=\"center\"><input type=\"text\" name=\"filelink\" maxlength=\"100\" value=\"http://\" size=\"65\" style=\"width: 400px\"></div>"
		."<div class=\"left\">"._IMGLINK.":</div><div class=\"center\"><input type=\"text\" name=\"imglink\" maxlength=\"100\" value=\"http://\" size=\"65\" style=\"width: 400px\"></div>"
		."<div class=\"left\">"._FILEVERSION.":</div><div class=\"center\"><input type=\"text\" name=\"f_version\" maxlength=\"10\" size=\"65\" style=\"width: 400px\"></div>"
		."<div class=\"left\">"._FILESIZE.":</div><div class=\"center\"><input type=\"text\" name=\"file_size\" maxlength=\"10\" size=\"65\" style=\"width: 400px\"></div>"
		."<div class=\"button\"><input type=\"hidden\" name=\"op\" value=\"send\"><input type=\"submit\" value=\""._FADD."\"></div></form>";
		CloseTable();
		foot();
	} else {
		Header("Location: index.php?name=$module_name");
	}
}

function send() {
	global $prefix, $db, $module_name, $conff, $stop;
	if ($conff['addfiles'] == "1") {
		$title = text_filter($_POST['title']);
		$description = text_filter($_POST['description']);
		$filelink = ($_POST['filelink'] == "http://") ? "" : text_filter($_POST['filelink']);
		$imglink = ($_POST['imglink'] == "http://") ? "" : text_filter($_POST['imglink']);
		$authorurl = ($_POST['authorurl'] == "http://") ? "" : text_filter($_POST['authorurl']);
		$author = text_filter($_POST['author']);
		$f_version = text_filter($_POST['f_version']);
		$cid = intval($_POST['cid']);
		$ip = getenv("REMOTE_ADDR");
		checkemail($_POST['authormail']);
		if (!$stop && $title && $description && $author) {
			$filename = upload($conff['temp'], $conff['typefile'], $conff['max_size'], "Files", "", "");
			if ($filename && !$stop) {
				$file_name = "".$conff['temp']."/".$filename."";
				$file_size = filesize($file_name);
				$db->sql_query("INSERT INTO ".$prefix."_files (lid, cid, title, description, url, img, date, filesize, version, name, email, homepage, ip_sender, status) VALUES (NULL, '$cid', '$title', '$description', '$file_name', '$imglink', now(), '$file_size', '$f_version', '$author', '$authormail', '$authorurl', '$ip', '0')");
			} elseif ($filelink && !$stop) {
				$file_name = $filelink;
				$file_size = intval($_POST['file_size']);
				$db->sql_query("INSERT INTO ".$prefix."_files (lid, cid, title, description, url, img, date, filesize, version, name, email, homepage, ip_sender, status) VALUES (NULL, '$cid', '$title', '$description', '$file_name', '$imglink', now(), '$file_size', '$f_version', '$author', '$authormail', '$authorurl', '$ip', '0')");
			} elseif ($stop) {
				$stop = $stop;
			} else {
				$stop = ""._UPLOADEROR2."";
			}
		} elseif ($stop) {
			$stop = $stop;
		} else {
			$stop = ""._UPLOADEROR."";
		}
		if (!$stop) {
			update_points(9);
			head();
			menu(""._ADD."");
			warning(""._UPLOADFINISH."", "?name=$module_name", 5, 2);
			foot();
		} else {
			add();
		}
	} else {
		Header("Location: index.php?name=$module_name");
	}
}

function geturl() {
	global $prefix, $db, $module_name, $pagetitle, $conf, $conff, $user;
	$id = (isset($_POST['id']) ? intval($_POST['id']) : false);
	
	if (($id && is_user($user)) || ($id && $conff['down'] == "1")) {
	
		$db->sql_query("UPDATE ".$prefix."_files SET hits=hits+1 WHERE lid=$id");
		list($f_title, $url) = $db->sql_fetchrow($db->sql_query("SELECT title, url FROM ".$prefix."_files WHERE lid='$id'"));
		update_points(11);
		if ($conff['stream'] == 2) {
			$type = strtolower(end(explode(".", $url)));
			stream($url, "".gen_pass(10).".".$type."");
		} elseif ($conff['stream'] == 1) {
			stream($url, preg_replace("/(.*?)\//i", "", $url));
		} else {
			$pagetitle = "".$conf['defis']." "._FILES." ".$conf['defis']." $f_title";
			head();
			menu(""._FILES."");
			OpenTable();
			echo "<center>"._NOTEDOWNLOAD." <b>$f_title</b> "._NOTEDOWNLOAD2."<br /><br />"
			."<b><a href=\"$url\" target=\"_blank\">$url</a></b><br /><br /></center>";
			CloseTable();
			get_page($module_name);
			foot();
		}
	} else {
		Header("Location: index.php?name=$module_name");
	}
}

switch($op) {
	default:
	files();
	break;
	
	case "liste":
	liste();
	break;
	
	case "printe":
	printe();
	break;
	
	case "view":
	view();
	break;
	
	case "geturl":
	geturl();
	break;
	
	case "broken":
	broken();
	break;
	
	case "add":
	add();
	break;
	
	case "send":
	send();
	break;
}
?>